Page MenuHomePhabricator

[Master] Improved analytics page for CX
Open, NormalPublic

Description

Content Translation has been in use for a while. We need new metrics (to capture the aspects we want to learn about current use) and new ways to represent the existing ones (to support the big number of languages and the common use patterns).

Check the blocking tasks of this ticket for a detailed description of individual tasks.

Related Objects

Event Timeline

Pginer-WMF updated the task description. (Show Details)
Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF added a subscriber: Pginer-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2015, 11:27 AM
Pginer-WMF renamed this task from [Tracker]Improved analytics page for CX to [Tracker] Improved analytics page for CX.May 15 2015, 11:27 AM
Pginer-WMF set Security to None.
Pginer-WMF added a project: Design.
Pginer-WMF added a comment.EditedMay 22 2015, 5:09 PM

I put together some of the ideas we discussed in this first mockup (open in a new tab since the preview will make it too small):

It would be great to:

  • Check if the questions we use the current CX Stats page for are better answered with the proposed design.
  • Check if new questions that are not supported yet, can get easily answered.

Feel free to report any doubt, problem, as well as any technical limitations that represent new constraints to consider. I created an annotated version to clarify which kind of questions the proposed page is intended to answer:

Arrbee triaged this task as High priority.May 25 2015, 8:45 AM
Arrbee added a subscriber: Arrbee.
Arrbee renamed this task from [Tracker] Improved analytics page for CX to [Master] Improved analytics page for CX.May 25 2015, 9:53 AM
Arrbee assigned this task to santhosh.
santhosh edited a custom field.May 25 2015, 9:57 AM
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-87 board.May 29 2015, 7:14 AM

Change 216943 had a related patch set uploaded (by Santhosh):
Special:CXStats: Add link to tagfilter page in targetwikis.

https://gerrit.wikimedia.org/r/216943

Elitre added a subscriber: Elitre.Jun 10 2015, 10:51 AM

Change 216943 merged by jenkins-bot:
Special:CXStats: Add link to tagfilter page in target wikis

https://gerrit.wikimedia.org/r/216943

santhosh moved this task from Backlog to In Progress on the LE-Sprint-88 board.Jun 16 2015, 9:29 AM
santhosh lowered the priority of this task from High to Normal.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jun 25 2015, 11:14 PM
Pginer-WMF moved this task from CX6 to CX7 on the ContentTranslation board.Jul 21 2015, 4:55 PM